#define NAME 		0
#define SIZE		1
#define LINKS		2
#define DEVICENO	3
#define TYPE		4
#define LASTMOD		5
#define LASTACCESS	6
#define LASTCHANGE	7
#define INODE		8
#define RESIDESON       9
#define ACCESS_LABEL    10
#define ORIG_ACCESS	11
#define CURR_ACCESS	12
#define GROUP_LABEL     13
#define MAX_LABEL       14

#define OWNER 	 0
#define GROUP    1
#define OTHER    2
#define SBITS    3

#define SETUID 0
#define SETGID 1
#define STICKY 2

#define AED_OPEN 0x1

static XmString access_bits[6];

static char *acc_labels[] = {
  "owner:  ",
  "group:  ",
  "other:  ",
  "s-bits: ", 
  (char *) 0
};

typedef struct {
  Widget form;
  Widget label;
  Widget toggles[3];
  int bit[3];
  int indx;
  struct _aedForm *aed;
} exRights;

typedef struct _aedForm {
  Widget aed_shell;		/* the top-level shell */
  Widget aed_form;		/* the top-level form widget */
  char *file;			/* current file */
  char *dir;			/* current directory */
  char **file_list;		/* list of files */
  int file_cnt;			/* number of files in file list */
  int current;			/* index of current file */
  XmFontList fontList;
  XmFontList bfontList;
  Display *display;
  
  Widget ownerForm;
  Widget group;  

  char *ownerBuf;
  char *groupBuf;
  char *orig_owner;
  char *orig_group;

  exEntry *owner;

  Widget quitButton, saveButton, revertButton, nextButton, prevButton;

  Widget labels[14];			
  exRights bits[4];
  int orig_mode;
  int mode;
  int flag;
} aedForm;

typedef struct {
  char *name;
  int gid;
  char **mem;
  int mem_cnt;
} group_elem;

